Overview | Modules | Class Hierarchy | Classes | Members

# tlp::MainWindowFacade Class Reference

`#include <Controller.h>`

List of all members.

## Detailed Description

Facade of QMainWindow.

This class provide a facade of QMainWindow It is used by Controller to acces to QMainWindow

## Public Member Functions

- MainWindowFacade ()
- MainWindowFacade (QMainWindow *mainWindow, QToolBar *toolBar, QToolBar *interactorsToolBar, QWorkspace *workspace)
- QWidget * getParentWidget ()
- QMenuBar * getMenuBar ()
- QToolBar * getToolBar ()
- QToolBar * getInteractorsToolBar ()
- QWorkspace * getWorkspace ()
- QStatusBar * getStatusBar ()
- void addDockWidget (Qt::DockWidgetArea area, QDockWidget *dockWidget)
- void tabifyDockWidget (QDockWidget *first, QDockWidget *second)
- std::vector< std::pair< QDockWidget *,
  QDockWidget * > > getTabifiedDockWidget ()

## Constructor & Destructor Documentation

tlp::MainWindowFacade::MainWindowFacade | ( |  | ) |

| basic constructor : no use it

tlp::MainWindowFacade::MainWindowFacade | ( | QMainWindow * | mainWindow,
|  | QToolBar * | toolBar,
|  | QToolBar * | interactorsToolBar,
|  | QWorkspace * | workspace
| ) |

| default constructor

## Member Function Documentation

void tlp::MainWindowFacade::addDockWidget | ( | Qt::DockWidgetArea | area,
|  | QDockWidget * | dockWidget
| ) | `[inline]`

| Add a dock widget to QMainWindow This function call QMainWindow::addDockWidget(Qt::DockWidgetArea,QDockWidget)

QToolBar* tlp::MainWindowFacade::getInteractorsToolBar | ( |  | ) | `[inline]`

QMenuBar* tlp::MainWindowFacade::getMenuBar | ( |  | ) | `[inline]`

get menu bar

Returns:
  the menu bar

QWidget* tlp::MainWindowFacade::getParentWidget | ( |  | ) | `[inline]`

Get the parent widget : use it as parent if you want to create a QDialog (for example)

Warning:
  QWidget returned is QMainWindow but for prevent segfault don't use it as QMainWindow

QStatusBar* tlp::MainWindowFacade::getStatusBar | ( |  | ) | `[inline]`

get status bar

Returns:
  the status bar

std::vector<std::pair<QDockWidget *,QDockWidget *> > tlp::MainWindowFacade::getTabifiedDockWidget | ( |  | ) | `[inline]`

| Return couple of tabified QDockWidget

QToolBar* tlp::MainWindowFacade::getToolBar | ( |  | ) | `[inline]`

QWorkspace* tlp::MainWindowFacade::getWorkspace | ( |  | ) | `[inline]`

get workspace

Returns:
  the workspace

void tlp::MainWindowFacade::tabifyDockWidget | ( | QDockWidget * | first,
|  | QDockWidget * | second
| ) | `[inline]`

| Moves second dock widget on top of first dock widget, creating a tabbed docked area

Tulip Software by LaBRI Visualization Team 2001 - 2010